Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_ClanApplication

The starting place for all applications.
Contained in: global
Derived from: none
Derived by: none
Group: App (System)

#include <ClanLib/application.h>

### public function member index:

### Construction:

`` | `CL_ClanApplication` | `()`;
``virtual`` | `~CL_ClanApplication` | `()`;

### Overrideables:

``virtual` `int`` | `main` | `(`int` `argc`, `char`** `argv`)`;

### Attributes:

``virtual` `char`*` | `get_title` | `()`;

## Description:

The application class must be inherited by all ClanLib applications.
In your application create a class inheriting CL_ClanApplication, make a global instance of it, and fill in the main() and get_title() functions.

## Function Member Descriptions:

CL_ClanApplication::CL_ClanApplication - Clan Application constructor
`` `CL_ClanApplication` `()`;

CL_ClanApplication::get_title - Get application (window) title
``virtual` `char`*` `get_title` `()`;

> returns - A character string to be put as the application (window) title (when appropriate, ie. not fullscreen, etc)

CL_ClanApplication::main - Every program made using ClanLib must implement this function.
This is the main application function, which will be called _once_ following system initialization.
``virtual` `int`` `main` `(`int` `argc`, `char`** `argv`)`;

> argc - The number of arguments to the program (c-style)
> argv - A pointer to strings, containing the program arguments. The name of the program executable is always passed as first argument.
> returns - Program return value

CL_ClanApplication::~CL_ClanApplication - Clan Application destructor
``virtual`` `~CL_ClanApplication` `()`;

## Variable Member Descriptions:

CL_ClanApplication::app - Static pointer to an initialized instance of this class. This is set by the constructor.
``static` `CL_ClanApplication` *` ``app`;`